Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your DC Bricklet 2.0", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"dc", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletDCV2\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"dc", "@", RowBox[{"SetDriveMode", "[", "Tinkerforge`BrickletDCV2`DRIVEUMODEUDRIVEUCOAST", "]"}]}],
   RowBox[{"dc", "@", RowBox[{"SetPWMFrequency", "[", "10000", "]"}], RowBox[{"(*", "Use PWM frequency of 10 kHz", "*)"}]}],
   RowBox[{"dc", "@", RowBox[{"SetMotion", "[", RowBox[{"4096", ",", RowBox[{"\[IndentingNewLine]", "16384"}]}], "]"}], RowBox[{"(*", "Slow acceleration (12.5 %/s), fast decceleration (50 %/s) for stopping", "*)"}]}],
   RowBox[{"dc", "@", RowBox[{"SetVelocity", "[", "32767", "]"}], RowBox[{"(*", "Full speed forward (100 %)", "*)"}]}],
   RowBox[{"dc", "@", RowBox[{"SetEnabled", "[", "True", "]"}], RowBox[{"(*", "Enable motor power", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"dc", "@", RowBox[{"SetVelocity", "[", "0", "]"}], RowBox[{"(*", "Stop motor before disabling motor power", "*)"}]}],
   RowBox[{RowBox[{"Pause", "[", "2", "]"}], RowBox[{"(*", "Wait for motor to actually stop: velocity (100 %) / decceleration (50 %/s) = 2 s", "*)"}]}],
   RowBox[{"dc", "@", RowBox[{"SetEnabled", "[", "False", "]"}], RowBox[{"(*", "Disable motor power", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "dc", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
